commit:     599dc701e21e27b8f35c3cfe4cab909f50402fac
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  6 15:34:54 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  6 15:35:38 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=599dc701

net-dns/knot: add missing die for cp call

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-dns/knot/knot-3.4.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-dns/knot/knot-3.4.3.ebuild b/net-dns/knot/knot-3.4.3.ebuild
index 4755bdc3913d..4f77abcd9f47 100644
--- a/net-dns/knot/knot-3.4.3.ebuild
+++ b/net-dns/knot/knot-3.4.3.ebuild
@@ -87,7 +87,7 @@ src_prepare() {
                return 0;
                }
        _EOF_
-       cp tests/contrib/test_{atomic,spinlock}.c
+       cp tests/contrib/test_{atomic,spinlock}.c || die
        default
 }
 

Reply via email to